Update to sagemath 7.6

This commit is contained in:
pcpa 2017-04-18 16:03:03 -04:00
parent 7e3068b9f2
commit f642d2e41d
16 changed files with 177 additions and 148 deletions

View file

@ -1,6 +1,6 @@
diff -up src/bin/sage.orig src/bin/sage
--- src/bin/sage.orig 2017-03-04 12:58:43.035411519 -0500
+++ src/bin/sage 2017-03-04 13:08:11.111433272 -0500
--- src/bin/sage.orig 2017-04-11 09:46:27.981240007 -0400
+++ src/bin/sage 2017-04-11 09:53:04.143255178 -0400
@@ -1,5 +1,16 @@
#!/usr/bin/env bash
@ -154,7 +154,7 @@ diff -up src/bin/sage.orig src/bin/sage
echo " -search_src <string> -- search through all the Sage library code for string"
echo " -search_doc <string> -- search through the Sage documentation for string"
echo " -grep <string> -- same as -search_src"
@@ -220,16 +165,6 @@ usage_advanced() {
@@ -222,16 +167,6 @@ usage_advanced() {
echo
#### 1.......................26..................................................78
#### |.....................--.|...................................................|
@ -171,7 +171,7 @@ diff -up src/bin/sage.orig src/bin/sage
echo "Valgrind memory debugging:"
echo " -cachegrind -- run Sage using Valgrind's cachegrind tool. The log"
echo " files are named sage-cachegrind.PID can be found in"
@@ -243,9 +178,6 @@ usage_advanced() {
@@ -245,9 +180,6 @@ usage_advanced() {
echo " -memcheck -- run Sage using Valgrind's memcheck tool. The log"
echo " files are named sage-memcheck.PID can be found in"
echo " $DOT_SAGE"
@ -181,11 +181,10 @@ diff -up src/bin/sage.orig src/bin/sage
echo " -valgrind -- this is an alias for -memcheck"
echo
echo "You can also use -- before a long option, e.g., 'sage --optional'."
@@ -253,104 +185,6 @@ usage_advanced() {
exit 0
@@ -256,121 +188,6 @@ usage_advanced() {
}
-
-#####################################################################
-# Special options to be processed without sage-env
-#####################################################################
@ -206,8 +205,26 @@ diff -up src/bin/sage.orig src/bin/sage
-# an unclobbered environment before testing unsafe tickets.
-if [ "$1" = '-patchbot' -o "$1" = "--patchbot" ]; then
- shift
- cd "$SAGE_ROOT"
- exec local/bin/patchbot/patchbot.py "$@"
- # We ask the Python from Sage where the patchbot is installed.
- # We set PYTHONPATH to that directory such that the system Python
- # should also find the sage_patchbot package.
- cmd='import sage_patchbot as p; import os; print(os.path.dirname(p.__path__[0]))'
- export PYTHONPATH=`"$SAGE_ROOT/sage" --python -c "$cmd"`
- if [ -z "$PYTHONPATH" ]; then
- # Something went wrong, assume that the patchbot is not installed
- echo >&2 "Error: cannot find installation path for sage_patchbot"
- echo >&2 "See https://wiki.sagemath.org/buildbot for instructions"
- exit 1
- fi
-
- # Try "python2.7", then "python2", then "python"
- shopt -s execfail # Do not exit if "exec" fails
- exec python2.7 -m sage_patchbot.patchbot "$@"
- exec python2 -m sage_patchbot.patchbot "$@"
- exec python -m sage_patchbot.patchbot "$@"
- echo >&2 "Error: cannot find a suitable Python program."
- echo >&2 "The SageMath patchbot requires a system Python installation."
- exit 127
-fi
-
-# Check for '--upgrade' before sourcing sage-env: the top-level "make"
@ -286,7 +303,7 @@ diff -up src/bin/sage.orig src/bin/sage
if [ $# -gt 0 ]; then
if [ "$1" = '-h' -o "$1" = '-?' -o "$1" = '-help' -o "$1" = '--help' ]; then
usage
@@ -362,23 +196,9 @@ fi
@@ -382,23 +199,9 @@ fi
# Prepare for running Sage, either interactively or non-interactively.
sage_setup() {
@ -310,7 +327,7 @@ diff -up src/bin/sage.orig src/bin/sage
if [ ! -d "$IPYTHONDIR" ]; then
# make sure that $DOT_SAGE exists so that ipython will happily
# create its config directories there. If DOT_SAGE doesn't
@@ -389,20 +209,6 @@ sage_setup() {
@@ -409,20 +212,6 @@ sage_setup() {
}
@ -331,7 +348,7 @@ diff -up src/bin/sage.orig src/bin/sage
# Start an interactive Sage session, this function never returns.
interactive_sage() {
sage_setup
@@ -507,16 +313,6 @@ if [ "$1" = '-lisp' -o "$1" = '--lisp' ]
@@ -527,16 +316,6 @@ if [ "$1" = '-lisp' -o "$1" = '--lisp' ]
exec ecl "$@"
fi
@ -348,8 +365,8 @@ diff -up src/bin/sage.orig src/bin/sage
if [ "$1" = '-maxima' -o "$1" = '--maxima' ]; then
shift
exec maxima "$@"
@@ -542,11 +338,6 @@ if [ "$1" = '-pip' -o "$1" = '--pip' ];
exec pip-lock "$@"
@@ -562,11 +341,6 @@ if [ "$1" = '-pip' -o "$1" = '--pip' ];
exec pip "$@"
fi
-if [ "$1" = '-fix-pkg-checksums' -o "$1" = '--fix-pkg-checksums' ]; then
@ -360,7 +377,7 @@ diff -up src/bin/sage.orig src/bin/sage
if [ "$1" = '-python' -o "$1" = '--python' ]; then
shift
exec python "$@"
@@ -562,16 +353,6 @@ if [ "$1" = '-ipython' -o "$1" = '--ipyt
@@ -582,16 +356,6 @@ if [ "$1" = '-ipython' -o "$1" = '--ipyt
exec ipython "$@"
fi
@ -377,11 +394,10 @@ diff -up src/bin/sage.orig src/bin/sage
if [ "$1" = '-sh' -o "$1" = '--sh' ]; then
# AUTHORS:
# - Carl Witty and William Stein: initial version
@@ -690,19 +471,6 @@ EOF
exit $status
@@ -711,20 +475,6 @@ EOF
fi
-#####################################################################
#####################################################################
-# Test coverage of a module?
-#####################################################################
-
@ -394,10 +410,12 @@ diff -up src/bin/sage.orig src/bin/sage
- shift
- exec sage-coverageall "$@"
-fi
#####################################################################
-
-#####################################################################
# File conversion
@@ -722,11 +490,6 @@ fi
#####################################################################
@@ -747,11 +497,6 @@ fi
# Run Sage's versions of the standard Algebra/Geometry etc. software
#####################################################################
@ -409,7 +427,7 @@ diff -up src/bin/sage.orig src/bin/sage
if [[ "$1" =~ ^--notebook=.* || "$1" =~ ^-n=.* || "$1" =~ ^-notebook=.* ]] ; then
sage-cleaner &>/dev/null &
exec sage-notebook "$@"
@@ -737,13 +500,6 @@ if [ "$1" = "-notebook" -o "$1" = '--not
@@ -762,13 +507,6 @@ if [ "$1" = "-notebook" -o "$1" = '--not
exec sage-notebook "$@"
fi
@ -423,7 +441,7 @@ diff -up src/bin/sage.orig src/bin/sage
if [ "$1" = "-inotebook" -o "$1" = '--inotebook' ]; then
shift
sage-cleaner &>/dev/null &
@@ -762,31 +518,12 @@ if [ "$1" = '-grepdoc' -o "$1" = "--grep
@@ -787,38 +525,19 @@ if [ "$1" = '-grepdoc' -o "$1" = "--grep
exit 0
fi
@ -456,7 +474,15 @@ diff -up src/bin/sage.orig src/bin/sage
if [ ! -f "$DOT_SAGE"/init.sage ]; then
echo >&2 "init.sage does not exist ... creating"
touch "$DOT_SAGE"/init.sage
@@ -802,10 +539,7 @@ if [ "$1" = '-t' -o "$1" = '-bt' -o "$1"
fi
SAGE_BANNER=no sage_setup
export PYTHONIOENCODING="utf-8" # Fix encoding for doctests
- if [ "$1" = '-tp' -o "$1" = '-btp' ]; then
+ if [ "$1" = '-tp' ]; then
shift
exec sage-runtests -p "$@"
else
@@ -827,16 +546,6 @@ if [ "$1" = '-t' -o "$1" = '-bt' -o "$1"
fi
fi
@ -464,14 +490,24 @@ diff -up src/bin/sage.orig src/bin/sage
- if [ "$1" = '-btnew' ]; then
- build_sage
- fi
+if [ "$1" = '-tnew' ]; then
- shift
- SAGE_BANNER=no sage_setup
- export PYTHONIOENCODING="utf-8" # Fix encoding for doctests
- exec sage-runtests --new "$@"
-fi
-
if [ "$1" = '-testall' -o "$1" = "--testall" ]; then
shift
SAGE_BANNER=no sage_setup
export PYTHONIOENCODING="utf-8" # Fix encoding for doctests
@@ -831,130 +565,6 @@ if [ "$1" = '--location' ]; then
exit 0
@@ -851,119 +560,6 @@ if [ "$1" = '-c' ]; then
exec sage-eval "$@"
fi
-if [ "$1" = '--location' ]; then
- maybe_sage_location
- exit 0
-fi
-
-
-install() {
- maybe_sage_location
@ -580,26 +616,10 @@ diff -up src/bin/sage.orig src/bin/sage
- exec python -m "sage_setup.docbuild" "$@"
-fi
-
-if [ "$1" = '-gdb' -o "$1" = "--gdb" ]; then
- shift
- sage_setup
- if [ "$SAGE_DEBUG" = "no" ]; then
- gdb -x "$SAGE_LOCAL/bin/sage-gdb-commands" \
- -args python "$SAGE_LOCAL/bin/sage-ipython" "$@" -i
- else
- # Location of cython_debug directory
- cygdb_dir="$SAGE_SRC/build/cythonized"
- cygdb "$cygdb_dir" "$SAGE_SRC/sage" \
- -- -x "$SAGE_LOCAL/bin/sage-gdb-commands" \
- -args python "$SAGE_LOCAL/bin/sage-ipython" "$@" -i
- fi
- exit $?
-fi
-
if [ "$1" = '-preparse' -o "$1" = "--preparse" ]; then
if [ "$1" = '-gdb' -o "$1" = "--gdb" ]; then
shift
exec sage-preparse "$@"
@@ -989,21 +599,10 @@ if [ "$1" = '-callgrind' -o "$1" = "--ca
sage_setup
@@ -1014,12 +610,6 @@ if [ "$1" = '-callgrind' -o "$1" = "--ca
exec sage-callgrind "$@"
fi
@ -612,18 +632,21 @@ diff -up src/bin/sage.orig src/bin/sage
if [ "$1" = '-startuptime' -o "$1" = '--startuptime' ]; then
exec sage-startuptime.py "$@"
fi
@@ -1030,11 +620,6 @@ if [ "$1" = '-gthread' -o "$1" = '-qthre
fi
-if [ "$1" = '-gthread' -o "$1" = '-qthread' -o "$1" = '-q4thread' -o "$1" = '-wthread' -o "$1" = '-pylab' ]; then
- # Intentionally no "shift" here
- interactive_sage "$@"
-fi
-
if [ $# -ge 1 ]; then
T=`echo "$1" | sed -e "s/.*\.//"`
if [ "$T" = "spkg" ]; then
- T=`echo "$1" | sed -e "s/.*\.//"`
- if [ "$T" = "spkg" ]; then
- install "$@"
- fi
- SAGE_BANNER=no sage_setup
unset TERM # See Trac #12263
exec sage-run "$@"
fi
diff -up src/bin/sage-runtests.orig src/bin/sage-runtests
--- src/bin/sage-runtests.orig 2017-03-04 13:08:31.712434061 -0500
+++ src/bin/sage-runtests 2017-03-04 13:08:41.887434451 -0500
--- src/bin/sage-runtests.orig 2017-04-11 09:53:17.222255678 -0400
+++ src/bin/sage-runtests 2017-04-11 09:53:31.631256230 -0400
@@ -56,10 +56,6 @@ if __name__ == "__main__":
help="run doctests using Valgrind's cachegrind tool. The log "
"files are named sage-cachegrind.PID and can be found in " +
@ -636,8 +659,8 @@ diff -up src/bin/sage-runtests.orig src/bin/sage-runtests
parser.add_option("-f", "--failed", action="store_true", default=False,
help="doctest only those files that failed in the previous run")
diff -up src/bin/sage-valgrind.orig src/bin/sage-valgrind
--- src/bin/sage-valgrind.orig 2017-03-04 13:08:52.937434874 -0500
+++ src/bin/sage-valgrind 2017-03-04 13:09:13.143435648 -0500
--- src/bin/sage-valgrind.orig 2017-04-11 09:53:45.006256742 -0400
+++ src/bin/sage-valgrind 2017-04-11 09:54:05.879257542 -0400
@@ -1,16 +1,6 @@
#!/usr/bin/env bash